on HighlightInk whichOne, whatScene
  global gCurrentInk
  if whichOne = 1 then
    set the locV of sprite 21 to 57
  else
    if whichOne = 2 then
      set the locV of sprite 21 to 69
    else
      if whichOne = 3 then
        set the locV of sprite 21 to 81
      else
        if whichOne = 4 then
          set the locV of sprite 21 to 93
        end if
      end if
    end if
  end if
  set the visible of sprite 21 to 1
  set whatInkNum to the memberNum of sprite (16 + whichOne)
  set whatCast to the castLibNum of sprite (16 + whichOne)
  set gCurrentInk to the name of member whatInkNum of castLib whatCast
  updateStage()
  if whatScene = "Try All" then
    updateText(whatScene)
  else
    if whatScene = "Performance" then
      resetPerformance()
    end if
  end if
  SetObjectInk()
end

on updateText whatScene
  global gCurrentInk, gInkTextList, gRelatedInksTextList
  if whatScene = "Try All" then
    set textList to gInkTextList
  else
    if whatScene = "Related Inks" then
      set textList to gRelatedInksTextList
    end if
  end if
  set newTxt to getaProp(textList, gCurrentInk)
  set the member of sprite 34 to member ("•first page" && newTxt) of castLib "text"
  set the member of sprite 35 to member "Page Up Blank" of castLib "Standard Elements"
  set the member of sprite 36 to member "Page Down Norm" of castLib "Standard Elements"
  updateStage()
end

on SetObjectInk
  global gCurrentInk, gObjectH, gObjectV, gInkList
  if gCurrentInk = "blend" then
    SetBlendObjectInk()
  else
    if the visible of sprite 8 = 1 then
      set the visible of sprite 8 to 0
      set the locH of sprite 7 to gObjectH
      set the locV of sprite 7 to gObjectV
      updateStage()
      set the visible of sprite 7 to 1
    end if
    set newInk to getaProp(gInkList, gCurrentInk)
    set the ink of sprite 7 to newInk
    updateStage()
  end if
end

on SetBlendObjectInk
  global gObjectH, gObjectV
  set the visible of sprite 7 to 0
  set the memberNum of sprite 8 to the memberNum of sprite 7
  set the locH of sprite 8 to gObjectH
  set the locV of sprite 8 to gObjectV
  set the blend of sprite 8 to 50
  set the visible of sprite 8 to 1
  updateStage()
end

on swapObject whichDirection
  repeat with countCast = 7 to 8
    set testName to the name of the member of sprite countCast
    if whichDirection = "right" then
      if testName = "object 11" then
        set the member of sprite countCast to member "object 1" of castLib "Internal"
      else
        set the memberNum of sprite countCast to the memberNum of sprite countCast + 2
      end if
      next repeat
    end if
    if whichDirection = "left" then
      if testName = "object 1" then
        set the member of sprite countCast to member "object 11" of castLib "Internal"
        next repeat
      end if
      set the memberNum of sprite countCast to the memberNum of sprite countCast - 2
    end if
  end repeat
  updateStage()
end

on swapBackground whichDirection
  set testName to the name of the member of sprite 6
  if whichDirection = "right" then
    if testName = "back 14" then
      set the member of sprite 6 to member "back 1" of castLib "Internal"
    else
      set the memberNum of sprite 6 to the memberNum of sprite 6 + 1
    end if
  else
    if whichDirection = "left" then
      if testName = "back 1" then
        set the member of sprite 6 to member "back 14" of castLib "Internal"
      else
        set the memberNum of sprite 6 to the memberNum of sprite 6 - 1
      end if
    end if
  end if
end
